Subject: [bitcoin-dev] v3 onion services

From: "Mr. Lee Chiffre" <[email-masked]>
Date: Sat, 16 Nov 2019 20:33:31 -0800

Right now bitcoin client core supports use of tor hidden service. It
supports v2 hidden service. I am in progress of creating a new bitcoin
node which will use v3 hidden service instead of v2. I am looking at
bitcoin core and btcd to use. Do any of these or current node software
support the v3 onion addresses for the node address? What about I2P
addresses? If not what will it take to get it to support the longer
addresses that is used by i2p and tor v3?

-- 
[email-masked]
PGP 97F0C3AE985A191DA0556BCAA82529E2025BDE35